Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/oasis.driver
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/oasis.driver	(revision 6661)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/oasis.driver	(revision 6662)
@@ -13,5 +13,9 @@
 
     #RESOL_CPL=$( echo $RESOL | awk "-F-" '{print $1}' )
-    RESOL_CPL=${RESOL_OCE}xICO${RESOL_NBP}
+    if [ X${config_ListOfComponents_ICO} = X ] ; then
+       RESOL_CPL=${RESOL_OCE}x${RESOL_ATM}
+    else
+       RESOL_CPL=${RESOL_OCE}xICO${RESOL_NBP}
+    fi
     IGCM_debug_Print 1 "RESOL_CPL      : ${RESOL_CPL}"
 
@@ -59,17 +63,32 @@
     ## LagAtm="1day in sec"/day_step * iphysiq/nsplit_phys
     ## First get day_step, iphyisq and nsplit_phys from LMDZ parameter files
-    step=$(    lmdzgrep dt run_dynamico.def )
-    iphysiq=$(     lmdzgrep itau_physics run_dynamico.def )
-    nsplit_phys=$( lmdzgrep nsplit_phys physiq.def )
+    if [ X${config_ListOfComponents_ICO} = X ] ; then
+       day_step=$(    lmdzgrep day_step gcm.def )
+       iphysiq=$(     lmdzgrep iphysiq gcm.def )
+       nsplit_phys=$( lmdzgrep nsplit_phys physiq.def )
 
-    IGCM_debug_Print 3 "Parametre de calcul Lag LMDZ recuperes " ${step} ${iphysiq} ${nsplit_phys}
+       IGCM_debug_Print 3 "Parametre de calcul Lag LMDZ recuperes " ${day_step} ${iphysiq} ${nsplit_phys}
+       [[ ${nsplit_phys} -eq 0 || "X${nsplit_phys}" = "X" ]] && nsplit_phys=1
+       IGCM_debug_Print 3 "Parametre de calcul Lag LMDZ mis a jour " ${day_step} ${iphysiq} ${nsplit_phys}
 
-    [[ ${nsplit_phys} -eq 0 || "X${nsplit_phys}" = "X" ]] && nsplit_phys=1
+       (( LagAtm = 86400 * iphysiq / day_step / nsplit_phys ))
+       (( LagAtmRoffCalv = $FreqCoupling + $LagAtm ))
+       (( LagOce = 86400 / OPA_NPDT_DAY ))
 
-    IGCM_debug_Print 3 "Parametre de calcul Lag LMDZ mis a jour " ${step} ${iphysiq} ${nsplit_phys}
+    else
+       step=$(    lmdzgrep dt run_dynamico.def )
+       iphysiq=$(     lmdzgrep itau_physics run_dynamico.def )
+       nsplit_phys=$( lmdzgrep nsplit_phys physiq.def )
+
+       IGCM_debug_Print 3 "Parametre de calcul Lag LMDZ recuperes " ${step} ${iphysiq} ${nsplit_phys}
+       [[ ${nsplit_phys} -eq 0 || "X${nsplit_phys}" = "X" ]] && nsplit_phys=1
+       IGCM_debug_Print 3 "Parametre de calcul Lag LMDZ mis a jour " ${step} ${iphysiq} ${nsplit_phys}
+
+       (( LagAtm = step * iphysiq / nsplit_phys ))
+       (( LagAtmRoffCalv = $FreqCoupling + $LagAtm ))
+       (( LagOce = 86400 / OPA_NPDT_DAY ))
+    fi
+
                                                               
-    (( LagAtm = step * iphysiq / nsplit_phys ))
-    (( LagAtmRoffCalv = $FreqCoupling + $LagAtm ))
-    (( LagOce = 86400 / OPA_NPDT_DAY ))
 
     IGCM_debug_Print 1 "OPA_NPDT_DAY : ${OPA_NPDT_DAY}"
@@ -101,4 +120,7 @@
     # For use of XIOS
     IGCM_comp_modifyXmlFile force iodef.xml using_oasis NONE true
+    if [ ! "X${config_ListOfComponents_ICO}" = "X" ] ; then
+       IGCM_comp_modifyXmlFile force iodef.xml oasis_codes_id NONE icosa,oceanx
+    fi
 
     if [ X"${Test_AddNoise_First_Only}" = X"y" ]; then
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/opa9.driver	(revision 6661)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/opa9.driver	(revision 6662)
@@ -16,5 +16,5 @@
     supergrep () { grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%" -e "s%^ *$1 *=%%" ; }
     ##--Variables used by OPA --
-    NAMELIST_OPA_CFG=${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg
+    NAMELIST_OPA_CFG=${SUBMIT_DIR}/PARAM/NEMO/namelist_${RESOL_OCE}_cfg
     IGCM_debug_Print 1 "namelist_cfg : ${NAMELIST_OPA_CFG}"
     if [ ! -r ${NAMELIST_OPA_CFG} ] ; then
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/orchidee.driver	(revision 6661)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/orchidee.driver	(revision 6662)
@@ -12,10 +12,10 @@
         DefSuffix=${orchidee_UserChoices_DefSuffix}
     else
-        DefSuffix=CWRR
+        DefSuffix=15pft.1ac
     fi
 
     # Define the resolution only if the composant ICO for DYNAMICO is set in config.card
     if [ ! X${config_ListOfComponents_ICO} = X ] ; then
-    RESOL_SRF="nbp${RESOL_NBP}"
+        RESOL_SRF="nbp${RESOL_NBP}"
     fi
 
@@ -73,4 +73,5 @@
     fi
 
+
     # Set parameters related to ROUTING in orchidee.def
     if [ X${orchidee_UserChoices_ROUTING} = X ] || [ X${orchidee_UserChoices_ROUTING} = Xstandard ]; then
@@ -92,4 +93,24 @@
     fi
 
+    if [ X${orchidee_UserChoices_AtmCo2} != X ] ; then
+       ##-- CO2 forcing : update CO2 value in orchidee.def with the value defined in orchidee.card
+       ATM_CO2=${orchidee_UserChoices_AtmCo2}
+       echo '(ORCHIDEE) FORCE_CO2_VEG = y'
+       echo '(ORCHIDEE) ATM_CO2='${ATM_CO2}
+       IGCM_comp_modifyDefFile nonblocker orchidee.def FORCE_CO2_VEG y
+       IGCM_comp_modifyDefFile nonblocker orchidee.def ATM_CO2 ${ATM_CO2}
+    else
+       IGCM_comp_modifyDefFile nonblocker orchidee.def FORCE_CO2_VEG DEFAULT
+       IGCM_comp_modifyDefFile nonblocker orchidee.def ATM_CO2 DEFAULT
+    fi
+
+    # Set DO_WOOD_HARVEST in orchidee.def acording to value set in orchidee.card section UserChoices
+    # If DO_WOOD_HARVEST is not definded in orchidee.card, set default value y
+    if [ ! X${orchidee_UserChoices_DO_WOOD_HARVEST} = X ] ; then
+       IGCM_comp_modifyDefFile nonblocker orchidee.def DO_WOOD_HARVEST   ${orchidee_UserChoices_DO_WOOD_HARVEST}
+    else
+       IGCM_comp_modifyDefFile nonblocker orchidee.def DO_WOOD_HARVEST   DEFAULT
+    fi
+
     # Set LAI_MAP in orchidee.def acording to value set in orchidee.card section UserChoices
     # If LAI_MAP is not definded in orchidee.card, set default value n
@@ -101,11 +122,4 @@
     fi
 
-    # Set DO_WOOD_HARVEST in orchidee.def acording to value set in orchidee.card section UserChoices
-    # If DO_WOOD_HARVEST is not definded in orchidee.card, set default value y
-    if [ ! X${orchidee_UserChoices_DO_WOOD_HARVEST} = X ] ; then
-        IGCM_comp_modifyDefFile nonblocker orchidee.def DO_WOOD_HARVEST   ${orchidee_UserChoices_DO_WOOD_HARVEST}
-    else
-        IGCM_comp_modifyDefFile nonblocker orchidee.def DO_WOOD_HARVEST   DEFAULT
-    fi
 
     # Activate creation of river description file only for the first period
@@ -140,5 +154,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 output_level ${orchidee_UserChoices_output_level_sechiba_history}
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 output_freq  ${orchidee_UserChoices_output_freq_sechiba_history}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_sechiba1 group_ref remap_${orchidee_UserChoices_output_freq_sechiba_history}
+        if [ ! "X${config_ListOfComponents_ICO}" = "X" ] ; then   
+           IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_sechiba1 group_ref remap_${orchidee_UserChoices_output_freq_sechiba_history}
+        fi
     fi
     
@@ -153,5 +169,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 output_level ${orchidee_UserChoices_output_level_sechiba_out_2}
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 output_freq  ${orchidee_UserChoices_output_freq_sechiba_out_2}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_sechiba2 group_ref remap_${orchidee_UserChoices_output_freq_sechiba_out_2}		
+        if [ ! "X${config_ListOfComponents_ICO}" = "X" ] ; then   
+	   IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_sechiba2 group_ref remap_${orchidee_UserChoices_output_freq_sechiba_out_2}		
+        fi
     fi
     
@@ -166,11 +184,15 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 output_level ${orchidee_UserChoices_output_level_sechiba_history_4dim}
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 output_freq  ${orchidee_UserChoices_output_freq_sechiba_history_4dim}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_sechiba3 group_ref remap_${orchidee_UserChoices_output_freq_sechiba_history_4dim}		
+        if [ ! "X${config_ListOfComponents_ICO}" = "X" ] ; then   
+	   IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_sechiba3 group_ref remap_${orchidee_UserChoices_output_freq_sechiba_history_4dim}		
+        fi
     fi
         
-    # Desactivate orchidee variables which are not correct in ICOLMDZOR configuration
-    IGCM_comp_modifyXmlFile force field_def_orchidee.xml RESOLUTION_X enabled .FALSE.
-    IGCM_comp_modifyXmlFile force field_def_orchidee.xml RESOLUTION_Y enabled .FALSE.
-    IGCM_comp_modifyXmlFile force field_def_orchidee.xml CONTFRAC_STOMATE enabled .FALSE.
+    if [ ! "X${config_ListOfComponents_ICO}" = "X" ] ; then   
+       # Desactivate orchidee variables which are not correct in ICOLMDZOR configuration
+       IGCM_comp_modifyXmlFile force field_def_orchidee.xml RESOLUTION_X enabled .FALSE.
+       IGCM_comp_modifyXmlFile force field_def_orchidee.xml RESOLUTION_Y enabled .FALSE.
+       IGCM_comp_modifyXmlFile force field_def_orchidee.xml CONTFRAC_STOMATE enabled .FALSE.
+    fi
 
 
@@ -233,7 +255,7 @@
 	    valuei=720
 	    valuej=360
-    elif [ ${RESOL_NBP} == 320  ] ; then
-        valuei=1440
-        valuej=720
+        elif [ ${RESOL_NBP} == 320  ] ; then
+            valuei=1440
+            valuej=720
 	else
 	    IGCM_debug_Exit "RESOL_NBP=${RESOL_NBP} is not yet implemented in drivers"
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/stomate.driver
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/stomate.driver	(revision 6661)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/stomate.driver	(revision 6662)
@@ -10,5 +10,5 @@
     # Define the resolution only if the composant ICO for DYNAMICO is set in config.card
     if [ ! X${config_ListOfComponents_ICO} = X ] ; then
-    RESOL_SBG="nbp${RESOL_NBP}"
+       RESOL_SBG="nbp${RESOL_NBP}"
     fi
 
@@ -37,5 +37,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_level ${stomate_UserChoices_output_level_stomate_history}
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq  ${stomate_UserChoices_output_freq_stomate_history}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate1 group_ref remap_${stomate_UserChoices_output_freq_stomate_history}
+        if [ ! X${config_ListOfComponents_ICO} = X ] ; then
+	   IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate1 group_ref remap_${stomate_UserChoices_output_freq_stomate_history}
+        fi
     fi
     
@@ -50,5 +52,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level ${stomate_UserChoices_output_level_stomate_ipcc_history}
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq  ${stomate_UserChoices_output_freq_stomate_ipcc_history}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate2 group_ref remap_${stomate_UserChoices_output_freq_stomate_ipcc_history}
+        if [ ! X${config_ListOfComponents_ICO} = X ] ; then
+	   IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate2 group_ref remap_${stomate_UserChoices_output_freq_stomate_ipcc_history}
+        fi
     fi
 
@@ -64,5 +68,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level ${stomate_UserChoices_output_level_stomate_history_4dim}
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq  ${stomate_UserChoices_output_freq_stomate_history_4dim}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate3 group_ref remap_${stomate_UserChoices_output_freq_stomate_history_4dim}
+        if [ ! X${config_ListOfComponents_ICO} = X ] ; then
+	   IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate3 group_ref remap_${stomate_UserChoices_output_freq_stomate_history_4dim}
+        fi
     fi
 
@@ -78,5 +84,7 @@
         IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level ${stomate_UserChoices_output_level_stomate_fixed_dia}
         IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq  ${stomate_UserChoices_output_freq_stomate_fixed_dia}
-	IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate4 group_ref remap_${stomate_UserChoices_output_freq_stomate_history_fixed_dia}
+        if [ ! X${config_ListOfComponents_ICO} = X ] ; then
+	   IGCM_comp_modifyXmlFile force      file_def_orchidee.xml groupremap_stomate4 group_ref remap_${stomate_UserChoices_output_freq_stomate_history_fixed_dia}
+        fi
     fi
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/xios.driver
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/xios.driver	(revision 6661)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/DRIVER/xios.driver	(revision 6662)
@@ -25,6 +25,10 @@
 
     if [ -f namcouple ] ; then
-	sed -e "s/2  icosa oceanx/3 icosa oceanx ${config_Executable_IOS[1]}/" namcouple > namcouple.tmp 
-	IGCM_sys_Mv namcouple.tmp namcouple
+       if [ "X${config_ListOfComponents_ICO}" = "X" ] ; then
+	 sed -e "s/2  LMDZ oceanx/3 LMDZ oceanx ${config_Executable_IOS[1]}/" namcouple > namcouple.tmp
+       else
+	 sed -e "s/2  icosa oceanx/3 icosa oceanx ${config_Executable_IOS[1]}/" namcouple > namcouple.tmp 
+       fi
+       IGCM_sys_Mv namcouple.tmp namcouple
     fi
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/OASIS/namcouple_ESMCO2_ORCA1xLMD144142
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/OASIS/namcouple_ESMCO2_ORCA1xLMD144142	(revision 6662)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/OASIS/namcouple_ESMCO2_ORCA1xLMD144142	(revision 6662)
@@ -0,0 +1,468 @@
+###############################################################################
+#
+#      Input file for OASIS3
+# 
+#      This version is for use with IPSL_CM4_v1 
+#
+#      The file will be edited at runtime to update it for
+#         - the initial date of the run
+#
+###############################################################################
+#  
+#      Input delimiters have to occupy position 1 to 9 !
+#      No blank lines allowed !
+#      Length of input lines <= 80 !
+#
+###############################################################################
+#
+# NFIELDS : total number of fields being exchanged.
+#
+ $NFIELDS
+            29
+ $END
+###############################################################################
+#
+# NBMODEL : number of models and their names (CHAR*6).
+#
+ $NBMODEL
+  2  LMDZ oceanx
+ $END
+###############################################################################
+# 
+# RUNTIME: total simulated time for the actual run in seconds (<I8)
+#
+ $RUNTIME
+  <total_time>
+ $END
+###############################################################################
+#
+# NLOGPRT: printing level in debug file : 
+#
+ $NLOGPRT
+   0 <lucia_ok>
+ $END
+# 
+###############################################################################
+ $STRINGS
+###############################################################################
+#
+#                      OCEAN  --->>>  ATMOS
+#                      --------------------
+# Field 1 : Weighted sea surface temperature (o->a 1)
+# 
+O_SSTSST  SISUTESW 1 <freq_coupling>  2  sstoc.nc  <output_mode> 
+362 332 144 143 torc  tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+# LOCTRANS: AVERAGE to average value over coupling period
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
+#         number of overlapped neighbors
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 2 : Sea ice extent  (o->a 2)
+#
+OIceFrc SIICECOV 44 <freq_coupling>  2  sstoc.nc <output_mode>
+362 332 144 143 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 3 : Weighted Sea Ice Temperature (o->a 3)
+#
+O_TepIce  SIICTEMW 34 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# 
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 4 : Weighted Sea ice albedo (o->a 4)
+#
+O_AlbIce  SIICEALW 17 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd  LAG=<lag_oce>  
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 5 : Current surface (o->a 5)
+O_OCurx1 CURRENTX 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#
+############################################################################
+#
+# Field 6 : Current surface (o->a 6)
+O_OCury1 CURRENTY 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#  
+############################################################################
+#
+# Field 7 : Current surface (o->a 7)
+O_OCurz1 CURRENTZ 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 8 : Ocean Carbon flux  (o->a 8)
+O_CO2FLX SICO2FLX 38  <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd  LAG=<lag_oce>
+P  30 P  3
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea fiel
+#
+#
+############################################################################
+#
+#                      ATMOSPHERE  --->>>  OCEAN
+#                      -------------------------
+############################################################################   
+#
+# Field 8 : wind stress along X axis (a->o 1)
+#
+COTAUXXU O_OTaux1 23 <freq_coupling>  1  flxat.nc   <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 9 : stress along Y axis (a->o 2)
+#
+COTAUYYU O_OTauy1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 10 :wind stress along Z axis (a->o 3)
+#
+COTAUZZU O_OTauz1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 11 : wind stress along X axis 2 (a->o 4)
+#
+COTAUXXV O_OTaux2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm> 
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 12 : wind stress along Y axis 2 (a->o 5) 
+#
+COTAUYYV O_OTauy2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 13 :  wind stress along Z axis 2 (a->o 6) 
+#
+COTAUZZV O_OTauz2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+# Field 14 :  wind speed 10m (a->o 7) 
+#
+COWINDSP O_Wind10  56 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+# 
+#########################################################################
+#
+# Field 15 : Total rain (a->o 8)
+#
+COTOTRAI OTotRain 26 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 16 :  Total snow (a->o 9)
+#
+COTOTSNO  OTotSnow 28 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 17 : Total evap (a->o 10)
+#
+COTOTEVA  OTotEvap 25 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 18 : Evaporation Ice  (a->o 11)
+#
+COICEVAP OIceEvap 41 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 19 : Total solar heat flux (a->o 12)
+#
+COQSRMIX O_QsrMix  7 <freq_coupling> 1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 20 : Total Non solar heat flux (a->o 13)
+#
+COQNSMIX O_QnsMix 6 <freq_coupling>  1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc   LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 21 : solar heat flux on ice (a->o 14)
+#
+COSHFICE O_QsrIce  7 <freq_coupling> 1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 22 : Non solar heat flux on ice (a->o 15)
+#
+CONSFICE O_QnsIce 6 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+############################################################################
+#
+# Field 23 : Non solar heat flux derivative (a->o 16)
+#
+CODFLXDT O_dQnsdT  35 <freq_coupling>  1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 24 : iceberg calving north (a->o 17)
+#
+COCALVIN OCalving  36 <freq_coupling_roff_calv>  2  flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_nosouth.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 25 : iceberg melting (a->o 17)
+#
+COCALVIN OIceberg  36 <freq_coupling_roff_calv>  3  icbrg.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_iceberg.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#########################################################################
+#
+# Field 26 : ice shelf melting (a->o 17)
+#
+COCALVIN OIcshelf  36 <freq_coupling_roff_calv>  3  icshf.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_iceshelf.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+##########################################################################
+#
+# Field 27 : liquid run-off (river + direct)  (a->o 18)
+#
+COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
+144 143 362 332 aone  torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING CONSERV BLASNEW
+AVERAGE
+# Interpolation method ou parametres mozaic
+# weights convert from kg/s to kg/m^2/s
+rmp_tlmd_to_torc_MOSAIC_rivflu.nc dst
+# CONSERV
+GLOBAL bfb
+# change units from m/s to kg/s
+1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 29 : atmospheric CO2 concentration  (a->o 24)
+#
+COATMCO2 O_AtmCO2 37 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  30 P  3
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tLMD144X142_to_teORCA1.2_1storder.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+# Field 26 : wind stress module (a->o 19)
+#
+##COTAUMOD  O_TauMod 466 <freq_coupling>  6   flxat.nc   <output_mode>
+##tlmd    torc  LAG=<lag_atm> 
+##P  0 P  2
+##INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+##NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+## INT=1
+# Mask value
+##888888.
+# Extrapolation method
+##NINENN 2 1 1
+# Interpolation method
+##BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+## INT=1
+#
+#########################################################################
+#
+ $END
